%global momorel 1

Summary: A log file analysis program.
Name: logwatch
Version: 5.2.2
Release: %{momorel}m
License: MIT/X
Group: Applications/System
URL: http://www.logwatch.org/
%NoSource 0 ftp://ftp.kaybee.org/pub/linux/logwatch-%{version}.tar.gz d3b676fd15e51a00027ee13b4a5ce486
Patch: logwatch-4.3.2-nounicode.patch
Patch1: logwatch-4.3.2-nosegfault.patch
Patch3: logwatch-5.1-catchlocal.patch
Patch4: logwatch-5.1-http400.patch
Patch5: logwatch-5.2.2-126558-warn.patch
Patch6: logwatch-2.6-101744-up2date.patch
Requires: textutils sh-utils grep mailx
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
Obsoletes: logsentry

%description
LogWatch is a customizable log analysis system. LogWatch parses
through your system's logs for a given period of time and creates a
report analyzing areas that you specify, in as much detail as you
require. LogWatch is easy to use and claims that it will work right
out of the package on almost all systems. Note that LogWatch now
analyzes Samba logs.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%install
rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/lib
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/conf/logfiles
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/conf/services
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/scripts/services
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/scripts/shared

for i in scripts/logfiles/*; do
    if [ $(ls $I | wc -l) -gt 0 ]; then
	install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/$i
	install -m 0755 $i/* %{buildroot}%{_sysconfdir}/log.d/$i
    fi
done

install -m 0755 scripts/logwatch.pl %{buildroot}%{_sysconfdir}/log.d/scripts/logwatch.pl
install -m 0755 scripts/services/* %{buildroot}%{_sysconfdir}/log.d/scripts/services

install -m 0755 scripts/shared/* %{buildroot}%{_sysconfdir}/log.d/scripts/shared

install -m 0644 conf/logwatch.conf %{buildroot}%{_sysconfdir}/log.d/conf/logwatch.conf
install -m 0644 conf/logfiles/* %{buildroot}%{_sysconfdir}/log.d/conf/logfiles
install -m 0644 conf/services/* %{buildroot}%{_sysconfdir}/log.d/conf/services

install -m 0644 lib/Logwatch.pm %{buildroot}%{_sysconfdir}/log.d/lib/Logwatch.pm

install -m 0755 -d %{buildroot}%{_mandir}/man8
install -m 0644 logwatch.8 %{buildroot}%{_mandir}/man8

rm -f %{buildroot}%{_sysconfdir}/log.d/logwatch \
   %{buildroot}%{_sysconfdir}/log.d/logwatch.conf \
   %{buildroot}%{_sysconfdir}/cron.daily/00-logwatch \
   %{buildroot}%{_sbindir}/logwatch \
   %{buildroot}%{_sysconfdir}/log.d/scripts/services/zz-fortune* \
   %{buildroot}%{_sysconfdir}/log.d/conf/services/zz-fortune* \
   %{buildroot}%{_sysconfdir}/log.d/conf/logfiles/fortune*

ln -s scripts/logwatch.pl %{buildroot}%{_sysconfdir}/log.d/logwatch
ln -s conf/logwatch.conf %{buildroot}%{_sysconfdir}/log.d/logwatch.conf
install -m 0755 -d %{buildroot}%{_sysconfdir}/cron.daily
ln -s ../log.d/scripts/logwatch.pl %{buildroot}%{_sysconfdir}/cron.daily/00-logwatch
install -m 0755 -d %{buildroot}%{_sbindir}
ln -s ../..%{_sysconfdir}/log.d/scripts/logwatch.pl %{buildroot}%{_sbindir}/logwatch

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README HOWTO-Make-Filter
%dir %{_sysconfdir}/log.d
%dir %{_sysconfdir}/log.d/conf
%dir %{_sysconfdir}/log.d/lib
%dir %{_sysconfdir}/log.d/scripts
%dir %{_sysconfdir}/log.d/conf/logfiles
%dir %{_sysconfdir}/log.d/conf/services
%dir %{_sysconfdir}/log.d/scripts/logfiles
%dir %{_sysconfdir}/log.d/scripts/services
%dir %{_sysconfdir}/log.d/scripts/shared
%{_sysconfdir}/log.d/scripts/logfiles/*
%config %{_sysconfdir}/log.d/conf/logwatch.conf
%config %{_sysconfdir}/log.d/conf/services/*
%config %{_sysconfdir}/log.d/conf/logfiles/*
%{_sysconfdir}/log.d/scripts/logwatch.pl
%{_sbindir}/logwatch
%{_sysconfdir}/log.d/scripts/shared/*
%{_sysconfdir}/log.d/scripts/services/*
%{_sysconfdir}/log.d/logwatch
%{_sysconfdir}/log.d/lib/Logwatch.pm
%{_sysconfdir}/log.d/logwatch.conf
%{_sysconfdir}/cron.daily/00-logwatch
%{_mandir}/man8/logwatch.8*

%doc License project/CHANGES project/TODO

%changelog
* Sun Feb 13 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (5.2.2-1m)
- import from FC3
- obsolete logsentry
